<template>
    <label ref="textField" class="mdc-text-field mdc-text-field--filled mdc-text-field--textarea mdc-text-field--no-label">
        <span class="mdc-text-field__ripple"></span>
            <textarea
                ref="textarea"
                :rows="rows"
                :cols="cols"
                :value="value"
                @input="$emit('input', $event.target.value)"
                class="mdc-text-field__input"
                aria-label="Label"
                :placeholder="placeholder"
            ></textarea>
    </label>
</template>
<script>
import { MDCTextField } from '@material/textfield';

export default {
    props: {
        rows: {
            type: [String, Number],
            required: true,
        },
        cols: {
            type: [String, Number],
            required: true,
        },
        value: {
            type: String,
        },
        placeholder: {
            type: String,
        },
    },

    mounted() {
        MDCTextField.attachTo(this.$refs.textField);
    }
};
</script>
